| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Seis::Bounds3D Class Reference
Seis

`#include <seisbounds.h>`

Inheritance diagram for Seis::Bounds3D:
[legend]

## Public Member Functions
| Bounds3D ()
| Bounds3D (const Bounds3D &)
| ~Bounds3D ()
void | getCoordRange (Coord &, Coord &) const override
StepInterval< float > | getZRange () const override
bool | is2D () const override
int | start (bool first=true) const override
| Inl, TrcNr (first) or Crl (2nd)
int | step (bool first=true) const override
| Inl, TrcNr (first) or Crl (2nd)
int | stop (bool first=true) const override
| Inl, TrcNr (first) or Crl (2nd)
Public Member Functions inherited from Seis::Bounds
| Bounds ()
virtual | ~Bounds ()
int | expectedNrTraces () const

## Public Attributes
TrcKeyZSampling & | tkzs_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ Bounds3D() [1/2]

Seis::Bounds3D::Bounds3D | ( |  | ) |

## ◆ Bounds3D() [2/2]

Seis::Bounds3D::Bounds3D | ( | const Bounds3D & |  | ) |

## ◆ ~Bounds3D()

Seis::Bounds3D::~Bounds3D | ( |  | ) |

## Member Function Documentation

## ◆ getCoordRange()

void Seis::Bounds3D::getCoordRange | ( | Coord & | ,
|  | Coord & | ) const
| override virtual

Implements Seis::Bounds.

## ◆ getZRange()

StepInterval< float > Seis::Bounds3D::getZRange | ( |  | ) | const
| override virtual

Implements Seis::Bounds.

## ◆ is2D()

bool Seis::Bounds3D::is2D | ( |  | ) | const
| inline override virtual

Reimplemented from Seis::Bounds.

## ◆ start()

int Seis::Bounds3D::start | ( | bool | first = true | ) | const
| override virtual

Inl, TrcNr (first) or Crl (2nd)

Implements Seis::Bounds.

## ◆ step()

int Seis::Bounds3D::step | ( | bool | first = true | ) | const
| override virtual

Inl, TrcNr (first) or Crl (2nd)

Implements Seis::Bounds.

## ◆ stop()

int Seis::Bounds3D::stop | ( | bool | first = true | ) | const
| override virtual

Inl, TrcNr (first) or Crl (2nd)

Implements Seis::Bounds.

## Member Data Documentation

## ◆ tkzs_

TrcKeyZSampling& Seis::Bounds3D::tkzs_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025